import { ActionType } from '@app/domain/action-type.util';
import { signal } from '@angular/core';

export const mockProfileFac = {
  update: jest.fn(),
  loading: signal({ isLoading: false, action: ActionType.NONE }),
  error: signal({ hasError: false }),
};
